#!/bin/sh

name="live"
title="LIVE.COM"
package="live"
version="2003.05.06"
build="1"
noarch="n"
build_info="Standard build."

info="LIVE.COM Streaming Media libraries."
desc="This code forms a set of C++ libraries for multimedia
streaming, using open standard protocols (RTP/RTCP, RTSP,
SIP). These libraries - which can be compiled for Unix
(including Linux and Mac OS X), Windows, and QNX (and
other POSIX-compliant systems) - can be used to build
streaming applications."
category="multimedia/libraries"
environment="libraries"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.live.com/liveMedia/public/live.$version.tar.gz $name

parent_package="$package"
write_info main

cd $src1

./genMakefiles linux

do_make

for i in BasicUsageEnvironment UsageEnvironment groupsock liveMedia; do
	mkdir -p $pkg_main/usr/lib/live/$i/include
	cp $i/lib$i.a $pkg_main/usr/lib/live/$i
	cp $i/include/* $pkg_main/usr/lib/live/$i/include
done

make_package main

clean_up

# $Log: live.builder,v $
# Revision 1.2  2003/05/07 17:17:09  swiergot
# - Build 1.
#
# Revision 1.1  2003/05/07 17:05:10  swiergot
# - Initial release.
# - Version 2003.05.06.
#
